Skip to main content

GET /v1/orders/{id}/shipments

Scope​

read_orders

Request parameters​

NameInTypeRequiredDescription
idpathstringrequiredID of the target resource.

Response example​

{
"data": [
{
"id": "9001",
"carrier_id": "string",
"shipping_cost": {
"amount": 3200,
"currency": "JPY"
},
"delivery_date": "string",
"delivery_time_zone": "string",
"tracking_number": "string",
"tracking_registered_at": "2026-10-01T03:00:00.000Z",
"tracking_delivery_date": "2026-10-03",
"recipient": {
"name": "string",
"zip": "string",
"prefecture": "string",
"city": "string",
"address_1": "string",
"address_2": "string",
"phone": "string"
}
}
]
}

Description​

List shipments of an order (recipient PII gated by read_orders_pii)

Error response example​

{
"error": {
"code": "insufficient_scope",
"message": "requires scope 'read_orders'",
"request_id": "req_01H..."
}
}

Possible errors: 401 / 403 / 404 / 429